<%
  cu = current_user
  can_moderate_forum = cu.can_moderate_forum? @topic.forum
  can_reply = @topic.can_reply? cu
  is_guest = cu.is_guest?
  if can_moderate_forum
    content_for :foot_links do
-%>
			<div class="conl">
<%= render :partial => 'quickjump', :locals => {:id => @topic.forum.id } if Settings.quickjump == true -%>
				<dl id="modcontrols">
					<dt><strong>Mod controls</strong></dt>
					<dd><%= link_to "Delete posts",  :controller => 'moderator', :action => "delete", :id => @topic.id %></dd>
					<dd><%= link_to "Move topic",  :controller => 'moderator', :action => "move", :id => @topic.id %></dd>
<%     if @topic && @topic.closed -%>
					<dd><%= link_to "Open topic",  :controller => 'moderator', :action => "open", :id => @topic.id %></dd>
<%     else -%>
					<dd><%= link_to "Close topic",  :controller => 'moderator', :action => "close", :id => @topic.id %></dd>
<%     end -%>
<%     if @topic && @topic.sticky -%>
					<dd><%= link_to "Unstick topic",  :controller => 'moderator', :action => "unstick", :id => @topic.id %></dd>
<%     else -%>
					<dd><%= link_to "Stick topic",  :controller => 'moderator', :action => "stick", :id => @topic.id %></dd>
<%     end -%>
				</dl>
			</div>
<%
    end
  end
-%>
<div class="linkst">
	<div class="inbox">
		<%= render :partial => 'pagination' %>
		<div class="clearer"></div>
	</div>
</div>

<%
for oid in 0...@posts.length
	o = @posts[oid]
-%>
<div id="p<%= o.id %>" class="blockpost <%= cycle('roweven','rowodd') %> firstpost">
	<h2><span><span class="conr">#<%= oid + 1 %>&nbsp;</span><%= link_to o.created_at, :controller => 'topic', :action => 'view', :id => o.id  %></span></h2>
	<div class="box">
		<div class="inbox">
			<div class="postleft">
				<dl>
					<dt><strong><a href="<%= url_for :controller => 'user', :action => 'view', :id => o.poster_id %>"><%= o.poster %></a></strong></dt>
					<dd class="usertitle"><strong><%= o.poster_user ? o.poster_user.get_title : '' %></strong></dd>
<% if o.poster_user and Settings.show_user_info == true -%>
<% if o.poster_user.location -%>
					<dd>From: <%=h o.poster_user.location %></dd>
<% end -%>
					<dd>Registered: <%= o.poster_user.created_at %></dd>
<% if Settings.show_post_count == true or can_moderate_forum -%>
					<dd>Posts: <%= o.poster_user.num_posts %></dd>
<% end -%>
					<dd>
<% if !is_guest and o.poster_user.email_setting == false -%>
					<a href="mailto:<%= o.poster_user.email -%>">Email</a>
<% elsif o.poster_user.email_setting == true and !is_guest -%>
					<a href="<%= url_for :controller => 'user', :action => 'email', :id => o.poster_id %>">Email</a>
<% end -%>
<% if o.poster_user.url -%>
					<a href="<%=h o.poster_user.url %>">Website</a>
<% end -%>
<% if can_moderate_forum -%>
					<dd>IP: <a href="<%= url_for :controller => 'moderator', :action => 'get_host', :id => o.id %>"><%= o.poster_ip %></a></dd>
<% if o.poster_user.admin_note -%>
					<dd>Note: <strong><%=h o.poster_user.admin_note %></strong></dd>
<% end -%>
<% end -%>
					</dd>
<% end -%>
					<dd class="postavatar"><img src="/img/avatars/<%= o.poster_id %>.gif"/></dd>
				</dl>
			</div>
			<div class="postright">
				<h3> Re: <%= @topic.subject %></h3>
				<div class="postmsg">
					<%= o.html_message %>
				</div>
				<div class="postsignature"><hr /> <%= o.poster_user ? o.poster_user.signature : "" %></div>
			</div>
			<div class="clearer"></div>
			<div class="postfootleft">
<% if o.poster_id > 1 -%>
<% if o.poster_user.online -%>
				<p><strong>Online</strong></p>
<% else -%>
				<p>Offline</p>
<% end -%>
<% end -%>
			</div>
			<div class="postfootright">
				<ul>
<% if !is_guest -%>
					<li class="postreport"><%= link_to "Report", :action => 'report_post', :id => o.id %></li>
<% end -%>
<% if @topic.closed == false -%>
<% if o.poster_id == cu.id %>
<% if ((@post_pages.current_page.to_i == 1) and oid == 0 and cu.group.g_delete_topics == true) or ((@post_pages.current_page.to_i > 1 or oid > 0) and cu.group.g_delete_posts == true) -%>
					<li class="postdelete"><%= link_to "Delete", :action => 'delete_post', :id => o.id %></li>
<% end -%>
<% if cu.group.g_edit_posts == true -%>
					<li class="postedit"><%= link_to "Edit", :action => 'edit', :pid => o.id %></li>
<% end -%>
<% end -%>
<% if can_reply -%>
					<li class="postquote"><%= link_to "Quote", :action => 'new', :id => @topic.id, :qid => o.id %></li>
<% end -%>
<% end -%>
				</ul>
			</div>
		</div>
	</div>
</div>
<% end %>

<div class="postlinksb">
	<div class="inbox">
		<%= render :partial => 'pagination' %>
		<%= link_to 'Subscribe to this topic', :action => 'subscribe', :id => @topic.id -%>
	</div>
</div>

<% if can_reply -%>
<div class="blockform">
	<h2><span>Quick post</span></h2>
	<div class="box">
		<form method="post" action="<%= url_for :action => 'create', :id => @topic.id %>" onsubmit="this.submit.disabled=true;if(process_form(this)){return true;}else{this.submit.disabled=false;return false;}">
			<div class="inform">
				<fieldset>
					<legend>Write your message and submit</legend>
					<div class="infldset txtarea">
						<label><textarea name="post[message]" rows="7" cols="75" tabindex="1"></textarea></label>
						<ul class="bblinks">
							<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'bbcode' %>" onclick="window.open(this.href); return false;">BBCode</a>: <%= Settings.message_bbcode == true ? 'on' : 'off' %></li>
							<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'img' %>" onclick="window.open(this.href); return false;">img tag</a>: <%= Settings.message_img_tag == true ? 'on' : 'off' %></li>
							<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'smilies' %>" onclick="window.open(this.href); return false;">Smilies</a>:  <%= Settings.smilies == true ? 'on' : 'off' %></li>
						</ul>
					</div>
				</fieldset>
			</div>
			<p><input type="submit" name="save" tabindex="2" value="Submit" accesskey="s" /></p>
		</form>
	</div>
</div>
<% end -%>
